Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.gui
Class RepositoryDocument

    java.lang.Object
      ru.biosoft.gui.Document
          ru.biosoft.gui.RepositoryDocument

All Implemented Interfaces:
  ApplicationDocument, java.util.EventListener, java.beans.PropertyChangeListener, RepositoryListener

public class RepositoryDocument
extends Document
implements RepositoryListener, java.beans.PropertyChangeListener

Field Summary
`protected ExplorerPane` | `explorerPane`

Fields inherited from class ru.biosoft.gui.Document
`log, transactionStack, undoManager`

Constructor Summary
`RepositoryDocument(java.awt.Component repositoryPane, ExplorerPane explorerPane)`

Method Summary
`java.lang.String` | `getDisplayName()` Returns document display name.
`ExplorerPane` | `getExplorerPane()`
`void` | `nodeClicked(DataElement de, int clickCount)`
`void` | `propertyChange(java.beans.PropertyChangeEvent pce)` Store changed data element
`void` | `selectionChanged(DataElement de)`
`void` | `setActive(boolean isActive)`

Methods inherited from class ru.biosoft.gui.Document
`applyEditorChanges, close, doUpdate, getModel, getUndoManager, getViewPane, removeListeners, update, updateActionsState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### explorerPane

    protected ExplorerPane explorerPane

Constructor Detail

### RepositoryDocument

    public RepositoryDocument(java.awt.Component repositoryPane,
                              ExplorerPane explorerPane)

Method Detail

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent pce)

  Store changed data element

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`

### getExplorerPane

    public ExplorerPane getExplorerPane()

### nodeClicked

    public void nodeClicked(DataElement de,
                            int clickCount)

  Specified by:
    `nodeClicked` in interface `RepositoryListener`

### selectionChanged

    public void selectionChanged(DataElement de)

  Specified by:
    `selectionChanged` in interface `RepositoryListener`

### getDisplayName

    public java.lang.String getDisplayName()

  Description copied from class: `Document`
  Returns document display name. This name will be shown as corresponding tab title.

  Specified by:
    `getDisplayName` in interface `ApplicationDocument`
  Specified by:
    `getDisplayName` in class `Document`

### setActive

    public void setActive(boolean isActive)

  Overrides:
    `setActive` in class `Document`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.